kQuery(function($) {

    // Base on jqueryvalidation:remote-method
    $.validator.addMethod('email_mailgun', function(value, element) {

        var previous = this.previousValue( element ),
                validator, errors;

        validator = this;

        if (!this.settings.messages[element.name]) {
            this.settings.messages[element.name] = {};
        }

        this.settings.messages[element.name].email_mailgun = '';

        if ( previous.old === value ) {
            this.settings.messages[element.name].email_mailgun = previous.message;
            return previous.valid;
        }

        previous.old = value;
        validator.startRequest(element);

        $.ajax({
            type: "GET",
            url: '?option=com_ajax&plugin=connect&group=koowa&format=json&path=mail/validate',
            data: { address: value },
            dataType: "json",
            success: function(data) {
                var valid, errors, message, submitted;

                valid  = data['is_valid'];
                errors = {};

                if (data['did_you_mean']) {
                    message = Koowa.translate('Did you mean {email}', {
                        email: '<em>' + data['did_you_mean'] + '</em>?'
                    });
                }

                if (valid)
                {
                    if (message) {
                        errors[element.name] = message;
                    }
                    submitted = validator.formSubmitted;
                    validator.prepareElement( element );
                    validator.formSubmitted = submitted;
                    validator.successList.push(element);
                    delete validator.invalid[element.name];

                    // Not really an error but a suggestion.
                    validator.showErrors(errors);
                }
                else
                {
                    if (!message) {
                        message = Koowa.translate('Invalid email address');
                    }

                    errors[element.name] = message;
                    validator.invalid[element.name] = true;
                    validator.showErrors(errors);
                }

                previous.valid   = valid;
                previous.message = message;
                validator.stopRequest(element, valid);
            },
            error: function(request, status_text, error) {
                var errors;
                errors = {};
                errors[element.name] = Koowa.translate('Unable to validate address');
                validator.showErrors(errors);
                validator.stopRequest(element, false);
            }
        });

        return "pending";
    });

});