<?php

defined('JPATH_BASE') or die;

class JFormFieldCheckall extends JFormField
{
    protected function getInput()
    {
        $script = <<<SCRIPT
kQuery(function($) {

    DocLeads = Koowa.Class.extend({
        initialize: function(element) {

            var self = this;

            this.checkall   = $(element);
            this.type       = this.checkall.data('type');
            this.checkboxes = $('input[name$="[' + this.type + ']"][type="checkbox"]');

            this.checkall.on('change.koowa', function(event, ignore){
                if(!ignore) {
                    self.checkAll($(this).prop('checked'));
                }
            });

            this.checkboxes.on('change.koowa', function(event, ignore){
                if(!ignore) {
                    self.setCheckAll();
                }
            });

            self.setCheckAll();
        },
        checkAll: function(value) {
            var changed = this.checkboxes.filter(function(i, checkbox){
                return $(checkbox).prop('checked') !== value;
            });

            this.checkboxes.prop('checked', value);
            changed.trigger('change', true);
        },
        setCheckAll: function(){
            var total = this.checkboxes.filter(function(i, checkbox){
                return $(checkbox).prop('checked') !== false;
            }).length;

            this.checkall.prop('checked', this.checkboxes.length === total);
            this.checkall.trigger('change', true);
        }
    });

    $('.checkall').each(function(i, el) {
        new DocLeads($(el));
    });
});
SCRIPT;
        $doc = JFactory::getDocument();
        $doc->addScriptDeclaration($script);

        $html = array();

        $html[] = '<div class="span1 center"><small>Show All</small><br/> <input type="checkbox" class="checkall" data-type="show" /></div>';
        $html[] = '<div class="span1 center"><small>Require All</small><br/><input type="checkbox" class="checkall" data-type="required" /></div>';

        return implode("\n", $html);
    }
}