<?php
/**
 * @package     Docman.Plugin
 * @subpackage  Leads
 * @copyright   Copyright (C) 2011 - 2016 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

/**
 * Lead Capture plugin for DOCman
 *
 * @package Joomlatools\Plugin\Docman
 */
class PlgDocmanLeads extends PlgKoowaAbstract
{
    public function __construct($dispatcher, $config = array())
    {
        parent::__construct($dispatcher, $config);

        if ($this->params->get('notification_emails'))
        {
            $this->loadLanguage();

            $emails = array_map('trim', explode("\n", trim($this->params->get('notification_emails'))));

            // No need to display the form if the user already submitted any form.
            if (!$this->params->get('display_always', false) && $this->getObject('request')->cookies->has('docman-leads')) {
                return;
            }

            if (count($emails))
            {
                $this->getIdentifier('com://site/docman.controller.download')->getConfig()->append(array(
                    'behaviors' => array(
                        'plg:docman.leads.controller.behavior.formable' => array(
                            'categories'            => $this->params->get('categories'),
                            'title'                 => $this->params->get('title'),
                            'notification_emails'   => $emails,
                            'notification_title'    => $this->params->get('notification_title'),
                            'notification_message'  => $this->params->get('notification_message'),
                            'include_subcategories' => $this->params->get('include_subcategories'),
                            'params'                => $this->params
                        ),
                        'plg:docman.leads.controller.behavior.captchable' => array(
                            'secret_key' => $this->params->get('captcha_secret_key'),
                            'captcha'    => $this->params->get('captcha')
                        )
                    )
                ));
            }
        }
    }
}