<?php
/**
 * @package     Docman.Plugin
 * @subpackage  Leads
 * @copyright   Copyright (C) 2011 - 2016 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */

class PlgDocmanLeadsTemplateHelperBehavior extends ComKoowaTemplateHelperBehavior
{
    public function validator($config = array())
    {
        $config = new KObjectConfigJson($config);
        $config->append(array(
            'connect' => class_exists('PlgKoowaConnect') && PlgKoowaConnect::isSupported(),
            'options' => []
        ));

        $html = '';

        if ($config->connect)
        {
            $html .= '<ktml:script src="media://plg_docman_leads/js/script.js" />';
            $html .= $this->getTemplate()->helper('translator.script', array('strings' => array(
                'Invalid email address',
                'Did you mean {email}',
                'Unable to validate address'
            )));

            $config->options->append([
                'onkeyup' => false,
                'messages' => [
                    'form[email]' => [
                        'required' => $this->getObject('translator')->translate('This field is required'),
                        'email' => $this->getObject('translator')->translate('Invalid email address'),
                    ],
                ],
                'rules' => [
                    'form[email]' => ['email_mailgun' => true]
                ]
            ]);
        }

        $html .= parent::validator($config);

        return $html;
    }
}