<?
/**
 * @package     Docman.Plugin
 * @subpackage  Leads
 * @copyright   Copyright (C) 2011 - 2016 Timble CVBA. (http://www.timble.net)
 * @license     GNU GPLv3 <http://www.gnu.org/licenses/gpl.html>
 * @link        http://www.joomlatools.com
 */
defined('KOOWA') or die; ?>

<?= helper('ui.load', array('package' => 'docman', 'domain' => 'site')); ?>
<?= helper('behavior.keepalive'); ?>
<?= helper('plg:docman.leads.behavior.validator'); ?>

<div class="com_docman docman_leads">

    <? if ($title): ?>
    <h1 class="koowa_header"><?= escape($title) ?></h1>
    <? endif; ?>

    <? if ($message = $params->get('message')): ?>
        <div class="docman_leads-message">
        <?= $message ?>
        </div>
    <? endif ?>

    <form action="<?= $url;?>" class="k-js-form-controller docman-leads" method="post" id="lead-form">

        <? $company = $params->get('lead_company'); ?>
        <? if ($company->show): ?>
        <? $required = $company->required; ?>
        <div class="control-group">
            <label for="company_field"><?= translate('Company');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[company]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="company_field" />
            </div>
        </div>
        <? endif ?>

        <? $full_name = $params->get('lead_full_name'); ?>
        <? if ($full_name->show): ?>
        <? $required = $full_name->required;?>
        <div class="control-group">
            <label for="full_name_field"><?= translate('Full Name');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[full_name]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="full_name_field" />
            </div>
        </div>
        <? endif ?>

        <? $first_name = $params->get('lead_first_name'); ?>
        <? if ($first_name->show): ?>
        <? $required = $first_name->required;?>
        <div class="control-group">
            <label for="first_name_field"><?= translate('First Name');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[first_name]" value="" required class="input input-block-level" id="first_name_field" />
            </div>
        </div>
        <? endif ?>

        <? $last_name = $params->get('lead_last_name') ?>
        <? if ($last_name->show): ?>
        <? $required = $last_name->required ?>
        <div class="control-group">
            <label for="last_name_field"><?= translate('Last Name');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[last_name]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="last_name_field" />
            </div>
        </div>
        <? endif ?>

        <? $street = $params->get('lead_street') ?>
        <? if ($street->show): ?>
        <? $required = $street->required ?>
        <div class="control-group">
            <label for="street_field"><?= translate('Street');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[street]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="street_field" />
            </div>
        </div>
        <? endif ?>

        <? $city = $params->get('lead_city') ?>
        <? if ($city->show): ?>
        <? $required = $city->required ?>
        <div class="control-group">
            <label for="city_field"><?= translate('City');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[city]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="city_field" />
            </div>
        </div>
        <? endif ?>

        <? $state = $params->get('lead_state') ?>
        <? if ($state->show): ?>
        <? $required = $state->required ?>
        <div class="control-group">
            <label for="state_field"><?= translate('State');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[state]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="state_field" />
            </div>
        </div>
        <? endif ?>

        <? $zip = $params->get('lead_zip') ?>
        <? if ($zip->show): ?>
        <? $required = $zip->required ?>
        <div class="control-group">
            <label for="zip_field"><?= translate('Zip');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[zip]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="zip_field" />
            </div>
        </div>
        <? endif ?>

        <? $country = $params->get('lead_country') ?>
        <? if ($country->show): ?>
        <? $required = $country->required ?>
        <div class="control-group">
            <label><?= translate('Country');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <? $attribs = array('class' => 'input input-block-level'); ?>
                <? if ($required) { $attribs['required'] = true; } ?>
                <?= helper('plg:docman.leads.listbox.countries', array('name' => 'form[country]', 'attribs' => $attribs, 'selected' => '')); ?>
            </div>
        </div>
        <? endif; ?>

        <? $phone = $params->get('lead_phone') ?>
        <? if ($phone->show): ?>
        <? $required = $phone->required ?>
        <div class="control-group">
            <label for="phone_field"><?= translate('Phone');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <input type="text" name="form[phone]" value="" <?= $required ? 'required' : ''; ?> class="input input-block-level" id="phone_field" />
            </div>
        </div>
        <? endif ?>

        <div class="control-group">
            <label for="email_field"><?= translate('Email');?> *</label>
            <div class="controls">
                <input type="email" name="form[email]" value="" required class="input input-block-level" id="email_field" />
            </div>
        </div>

        <? $description = $params->get('lead_description') ?>
        <? if ($description->show): ?>
        <? $required = $description->required ?>
        <div class="control-group">
            <label><?= translate('Comment');?> <?= $required ? '*' : ''; ?></label>
            <div class="controls">
                <textarea name="form[description]" <?= $required ? 'required' : ''; ?> class="input input-block-level"></textarea>
            </div>
        </div>
        <? endif; ?>

        <? if (isset($gdpr)): ?>
        <div class="control-group">
            <div class="controls">
                <p><?= $gdpr->notice ?></p>
                <label class="checkbox">
                    <input type="checkbox" name="form[gdpr]" value="" required class="input" id="gdpr_field" />
                    <?= translate('PLG_DOCMAN_LEADS_GDPR_AGREE') ?> <?= $gdpr->required ? '*' : ''; ?>
                </label>
            </div>
        </div>
        <? endif; ?>

        <? if ($params->get('captcha')): ?>
        <div class="control-group">
            <div class="controls">
                <?= helper('plg:docman.leads.captcha.display', array('site_key' => $params->get('captcha_site_key'))) ?>
            </div>
        </div>
        <? endif ?>

        <div class="control-group">
            <div class="controls">
                <div class="k-toolbar k-js-toolbar" id="toolbar-docman">
                    <a class="btn toolbar k-button k-button--default" data-action="submit" href="#">
                        <?= translate('Download');?>
                    </a>
                </div>
            </div>
        </div>

    </form>

</div>